<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/rootContainer"
        android:layout_width="@dimen/default_dialog_width"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@drawable/background_shape_white_radius_8">

        <com.google.android.material.imageview.ShapeableImageView
            android:id="@+id/headIv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toTopOf="parent"
            app:shapeAppearanceOverlay="@style/top8RoundCorner" />

        <RelativeLayout
            android:id="@+id/closeContainer"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginTop="9dp"
            android:layout_marginEnd="9dp"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible">

            <ImageView
                android:id="@+id/closeIv"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_centerInParent="true"
                app:srcCompat="@drawable/ic_dialog_close" />
        </RelativeLayout>

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="24dp"
            android:layout_marginTop="24dp"
            android:layout_marginEnd="24dp"
            android:drawablePadding="4dp"
            android:textColor="@color/text_primary"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/headIv"
            tools:text="温馨提示" />

        <TextView
            android:id="@+id/contentTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="16dp"
            android:layout_marginRight="24dp"
            android:lineSpacingExtra="7dp"
            android:textColor="@color/text_secondary"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/titleTv"
            tools:text="这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文，这里是正文。" />

        <TextView
            android:id="@+id/hintTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="14dp"
            android:textColor="@color/text_tertiary"
            android:textSize="14sp"
            android:visibility="gone"
            app:layout_constrainedWidth="true"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintLeft_toLeftOf="@id/contentTv"
            app:layout_constraintRight_toRightOf="@id/contentTv"
            app:layout_constraintTop_toBottomOf="@id/contentTv"
            tools:text="查看权限应用场景"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/extraHintIv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="gone"
            android:layout_marginStart="4dp"
            app:layout_constrainedWidth="true"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintLeft_toRightOf="@id/hintTv"
            app:layout_constraintTop_toTopOf="@id/hintTv"
            app:layout_constraintBottom_toBottomOf="@id/hintTv"
            tools:text="查看权限应用场景"
            tools:visibility="visible" />

        <com.lightgame.view.CheckableLinearLayout
            android:id="@+id/selectorContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="24dp"
            android:layout_marginTop="15dp"
            android:layout_marginRight="24dp"
            android:orientation="horizontal"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="@id/contentTv"
            app:layout_constraintRight_toRightOf="@id/contentTv"
            app:layout_constraintTop_toBottomOf="@id/hintTv"
            tools:visibility="visible">

            <com.lightgame.view.CheckableImageView
                android:id="@+id/selectorIv"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_gravity="center_vertical"
                app:srcCompat="@drawable/selector_universal" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="6dp"
                android:includeFontPadding="false"
                android:text="忽略，下次不再提醒"
                android:textColor="@color/text_tertiary"
                android:textSize="@dimen/secondary_size" />

        </com.lightgame.view.CheckableLinearLayout>

        <TextView
            android:id="@+id/cancelTv"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginStart="24dp"
            android:layout_marginTop="24dp"
            android:layout_marginBottom="24dp"
            android:background="@drawable/bg_shape_space2_radius_999"
            android:gravity="center"
            android:text="@string/cancel"
            android:textColor="@color/text_secondary"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="@id/confirmTv"
            app:layout_constraintEnd_toStartOf="@+id/confirmTv"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/confirmTv" />

        <TextView
            android:id="@+id/confirmTv"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginStart="12dp"
            android:layout_marginTop="24dp"
            android:layout_marginEnd="24dp"
            android:layout_marginBottom="8dp"
            android:background="@drawable/button_blue_oval"
            android:gravity="center"
            android:text="@string/confirm"
            android:textColor="@color/text_aw_primary"
            android:textSize="14sp"
            app:layout_constraintBottom_toTopOf="@id/alternativeCancelTv"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/cancelTv"
            app:layout_constraintTop_toBottomOf="@+id/selectorContainer"
            app:layout_goneMarginBottom="24dp"
            app:layout_goneMarginStart="24dp" />

        <TextView
            android:id="@+id/alternativeCancelTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:padding="8dp"
            android:text="@string/never_remind"
            android:textColor="@color/text_tertiary"
            android:textSize="@dimen/secondary_size"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/confirmTv"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>
